//**********************************************************************************************************************
//
//  FMBorderOval.vs
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2013 by IMAGINE GbR. All rights reserved.
//	Abstract:	Draws a elliptical stroke with specified width
//
//**********************************************************************************************************************


uniform vec2 uPosition;
uniform vec2 uZoom;
uniform mat2 uRotation;

varying vec2 vLocation;


//----------------------------------------------------------------------------------------------------------------------


void main()
{
    gl_Position = ftransform();
    gl_TexCoord[0] = gl_MultiTexCoord0;

	// Calculate the vertex position relative to the center of the border, and rotate it back so the border
	// is parallel to the stage...
	
	vec2 location = gl_Vertex.xy;
	
	location = location - uPosition.xy;
	location = uRotation * location;
	location = location / uZoom;

	vLocation = location;
}


//----------------------------------------------------------------------------------------------------------------------
