//**********************************************************************************************************************
//
//  FMColorCorrectionWithOvalMask.vs
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2011-2012 by IMAGINE GbR. All rights reserved.
//	Abstract:	Applies color correction and a rect mask
//
//**********************************************************************************************************************


uniform vec2 uObjectPosition;
uniform vec2 uObjectZoom;
uniform mat2 uObjectRotation;

uniform vec2 uMaskPosition;
uniform mat2 uMaskRotation;

varying vec2 vMaskLocation;


//----------------------------------------------------------------------------------------------------------------------


void main()
{
	// Standard stuff required by all shaders...
	
    gl_Position = ftransform();
    gl_TexCoord[0] = gl_MultiTexCoord0;

	// Calculate the vertex position relative to the mask center, and rotate it back so its parallel to the stage...
	
	vec2 location = gl_Vertex.xy;					// Local image coordinates
	
	location = location * uObjectZoom;				// Convert back to stage coordinates
	location = uObjectRotation * location;
	location = location + uObjectPosition;			
	
	location = location - uMaskPosition.xy;			// Convert to local mask coordinates
	vMaskLocation = uMaskRotation * location;
}


//----------------------------------------------------------------------------------------------------------------------
