//**********************************************************************************************************************
//
//  FMEngineWipeLinearTransition.fs
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2008-2011 by IMAGINE GbR. All rights reserved.
//	Abstract:	Implements a linear wipe transition
//
//**********************************************************************************************************************


uniform sampler2DRect uOutgoingTexture;
uniform sampler2DRect uIncomingTexture;

uniform float uEdge1;
uniform float uEdge2;
varying float vLocation;


//----------------------------------------------------------------------------------------------------------------------


void main()
{
    // Get both textures...
    
    vec2 xy = gl_TexCoord[0].xy;
	vec4 outgoingColor = texture2DRect(uOutgoingTexture,xy);
	vec4 incomingColor = texture2DRect(uIncomingTexture,xy); 
   
    // Mix them according to pixel location...
    
    float mix = smoothstep(uEdge1,uEdge2,vLocation);
    gl_FragColor = mix(incomingColor,outgoingColor,mix);
}


//----------------------------------------------------------------------------------------------------------------------


