//**********************************************************************************************************************
//
//  FMRectangleShadow
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2011 by IMAGINE GbR. All rights reserved.
//	Abstract:	Renders a shadow for a rectangular region
//
//**********************************************************************************************************************


uniform vec4 uBoundsX;
uniform vec4 uBoundsY;
uniform float uAlpha;
varying vec2 vVertex;


//----------------------------------------------------------------------------------------------------------------------


float smoothBox(float x,vec4 edge)
{
	float y1 = smoothstep(edge[0],edge[1],x);
	float y2 = 1.0 - smoothstep(edge[2],edge[3],x);
	return y1 * y2;
}


//----------------------------------------------------------------------------------------------------------------------


void main()
{
    float a1 = smoothBox(vVertex.x,uBoundsX);
    float a2 = smoothBox(vVertex.y,uBoundsY);
    float alpha = uAlpha * 0.95 * a1 * a2;

	gl_FragColor = vec4(0.0,0.0,0.0,alpha);
}


//----------------------------------------------------------------------------------------------------------------------
