//**********************************************************************************************************************
//
//  FMEngineBlindsTransition
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2011 by IMAGINE GbR. All rights reserved.
//	Abstract:	Adds highlights to the blinds parts
//
//**********************************************************************************************************************


uniform sampler2DRect uTexture;
uniform float uFactor;
uniform float uOffset;


//----------------------------------------------------------------------------------------------------------------------


void main()
{
	vec2 xy = gl_TexCoord[0].xy;
	vec4 color = texture2DRect(uTexture,xy);
    
    float offset = uOffset * color.a;
    color *= vec4(uFactor,uFactor,uFactor,1.0);
    color += vec4(offset,offset,offset,0.0);
    
    gl_FragColor = color;
}


//----------------------------------------------------------------------------------------------------------------------
